Liferay.Loader.define("layout-admin-web@4.0.87/js/breadcrumbs/BreadcrumbsItem", ['module', 'exports', 'require', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var BreadcrumbsItem = function BreadcrumbsItem(_ref) {
      var active = _ref.active,
          title = _ref.title,
          url = _ref.url;
      return (/*#__PURE__*/_react.default.createElement("li", {
          className: (0, _classnames.default)('breadcrumb-item', {
            active: active
          })
        }, active ? /*#__PURE__*/_react.default.createElement("span", {
          className: "breadcrumb-text-truncate"
        }, title) : /*#__PURE__*/_react.default.createElement("a", {
          className: "breadcrumb-link",
          href: url
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "breadcrumb-text-truncate"
        }, title)))
      );
    };

    var _default = BreadcrumbsItem;
    exports.default = _default;
    //# sourceMappingURL=BreadcrumbsItem.js.map
  }
});
//# sourceMappingURL=BreadcrumbsItem.js.map